CVE Vulnerabilities

CVE-2007-5760

Published: Jan 18, 2008 | Modified: Oct 15, 2018
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
9.3 HIGH
AV:N/AC:M/Au:N/C:C/I:C/A:C
RedHat/V2
RedHat/V3
Ubuntu

Array index error in the XFree86-Misc extension in X.Org Xserver before 1.4.1 allows context-dependent attackers to execute arbitrary code via a PassMessage request containing a large array index.

Affected Software

Name Vendor Start Version End Version
Xserver X.org * 1.4
Xfree86-misc Xfree86_project * *
Red Hat Enterprise Linux 4 RedHat xorg-x11-0:6.8.2-1.EL.33.0.2 *
Red Hat Enterprise Linux 5 RedHat xorg-x11-server-0:1.1.1-48.26.el5_1.5 *
Xorg-server Ubuntu dapper *
Xorg-server Ubuntu devel *
Xorg-server Ubuntu edgy *
Xorg-server Ubuntu feisty *
Xorg-server Ubuntu gutsy *
Xorg-server Ubuntu upstream *

References